Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 03/19/2023 in all areas

  1. This is the first 'proof of concept' version. Its not yet complete , still have to add routine to add lines between symbols , line connecting rows and auto-sum distances for clamps , but have been at this from last thursday evening until now (sunday evening) so this has cost me a lot of time so far and also have to deal with big work related challenges this week (just so you know ) RlxSnake.lsp A3.dwg BJC.dwg Clamp.dwg GP.dwg GP-Clamp.dwg POP.dwg
    2 points
  2. You've been on your holidays too long....add this so that the the OP can keep using entitiy from a selection set: (setq obj (ssname ss 0)), and modifying the cons 410 to a variable (to be set earlier in the LISP) MyLayout - assuming the OP is working in paperspace for a title block, rather than modelspace0? Though if they are in that screen as they run this can use ctab. Assuming only 1 occurrence of the title block you might not need the cons 410 part. (setq obj (ssname (ssget "_X" (list (0 . "INSERT") (2 . "block name") (cons 410 MyLayout) ))) 0 )) For obvious reasons (it is a Sunday here), this is untested - might be typing errors
    2 points
  3. just use ssget if your looking for a unique named block. then their isn't a need for the user to select anything. (setq ss (ssget "_X" '((0 . "INSERT") (2 . "block name") (410 . "Model")))) I would also pull the base point of said block to help with step 4.
    2 points
  4. Thank You @Steven P and @mhupp here's the code that works (made some changes, syntax errors really nothing major) (setq obj (ssname (ssget "_X" (list '(0 . "INSERT") '(2 . "MARS_Petcare_US Title Block") )) 0) ) Works great!!
    1 point
  5. I think its doable, have done some preperation but not sure if and when I can show something. Data is difficult to handle but hey, I'm a dragon, difficult is my middle name.
    1 point
  6. (defun c:triang ( / d a p p1 p2 ) (and (not (initget 7)) (setq d (getdist "\nPick or specify base dimension : ")) (not (initget 7)) (setq a (getreal "\nSpecify angle on base point in decimal degrees : ")) (not (initget 1)) (setq p (getpoint "\nPick base point : ")) (setq p1 (polar p 0.0 d)) (setq p2 (inters p1 (polar p1 (* 0.5 pi) 1.0) p (polar p (cvunit a "degree" "radian") 1.0) nil)) (entmake (list (cons 0 "LWPOLYLINE") (cons 100 "AcDbEntity") (cons 100 "AcDbPolyline") (cons 90 3) (cons 70 (1+ (* 128 (getvar (quote plinegen))))) (cons 38 0.0) (cons 10 p) (cons 10 p1) (cons 10 p2) (cons 210 (list 0.0 0.0 1.0)) ) ) ) (princ) )
    1 point
×
×
  • Create New...